"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.fileHandler = void 0;
const fs = __importStar(require("fs"));
const path_1 = __importDefault(require("path"));
const ErroMsgs_1 = require("./_constantes/ErroMsgs");
const InfoMsgs_1 = require("./_constantes/InfoMsgs");
const fileHandler = (compWrkDir, compDrirName, componentFiles) => __awaiter(void 0, void 0, void 0, function* () {
    const mkdirPath = `${compWrkDir}/${compDrirName}`;
    if (fs.existsSync(mkdirPath))
        return new Error(ErroMsgs_1.ErroMsgs.COMPONENT_ALREADY_EXIST(compDrirName, path_1.default.relative(path_1.default.resolve(), mkdirPath)));
    try {
        fs.mkdirSync(mkdirPath);
    }
    catch (err) {
        if (err instanceof Error)
            return new Error(ErroMsgs_1.ErroMsgs.DIRECTORY_CREATION_UNEXPECTRED_ERR(compDrirName, err.message));
        else
            return new Error(ErroMsgs_1.ErroMsgs.DIRECTORY_CREATION_UNEXPECTRED_ERR(compDrirName, err));
    }
    try {
        const successLogs = yield Promise.all(componentFiles.map((file) => __awaiter(void 0, void 0, void 0, function* () {
            yield fs.promises.appendFile(`${mkdirPath}/${file.fileName}`, file.data);
            return InfoMsgs_1.InfoMsgs.SUCCESS_FILE_CREATON(file.fileName);
        })));
        return successLogs.join("\n");
    }
    catch (err) {
        if (err instanceof Error)
            return new Error(ErroMsgs_1.ErroMsgs.FILE_CREATION_UNEXPECTRED_ERR(compDrirName, err.message));
        else
            return new Error(ErroMsgs_1.ErroMsgs.FILE_CREATION_UNEXPECTRED_ERR(compDrirName, err));
    }
});
exports.fileHandler = fileHandler;
//# sourceMappingURL=FileHandler.js.map