"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ErroMsgs = void 0;
const path_1 = __importDefault(require("path"));
const config_1 = require("./config");
const CommandEnum_1 = require("./CommandEnum");
const chalk_1 = __importDefault(require("chalk"));
const provide_valid_stuff = (stuff) => `Vous devez fournir ${chalk_1.default.underline(stuff)} dans le fichier de configuration "${(0, config_1.cInfo)(config_1.nameConfigFile)}" du composant`;
const unable_create_component = (0, config_1.cErr)("Impossible de créer votre composant");
const contact_creator_unexpected_error = (0, config_1.cInfo)("Afin que le problème soit résolut, veuillez contacter le créateur du module");
exports.ErroMsgs = {
    UNEXPECTED_ERROR(err) { return `${(0, config_1.cWarning)("Une erreur inattendue s'est produite")}:\n${(err === null || err === void 0 ? void 0 : err.message) ? err.message : err} \n ${contact_creator_unexpected_error}`; },
    CONFIG_DIR_MISS: `Le dossier de configuration ${config_1.cInfo.underline("/" + config_1.nameConfigDir)} n'as pas été trouvé ! \n Il doit être placé à la racine de votre projet \n
  ${(0, config_1.cInfo)("Executez la commande :")} ${config_1.CLIAccess}${CommandEnum_1.CommandEnum.init} pour initialiser le CLI automatiquement`,
    CONFIG_FIlE_MISS: (tempName) => `${(0, config_1.cWarning)("Fichier de configuration manquant")} : Vous devez ajouter le fichier de configuration ${config_1.cInfo.underline(config_1.nameConfigFile)} au template "${(0, config_1.cWarning)(tempName)}"`,
    TEMPLATE_NOT_EXIST: (tempName) => `Vous n'avez pas de template nommé "${(0, config_1.cErr)(tempName)}"`,
    COMPONENT_WRK_DIR_NOT_EXISTE: (compPath) => `${unable_create_component} car l'emplacement "${(0, config_1.cWarning)(compPath)}" n'existe pas. \n ${provide_valid_stuff("un path valide")}`,
    ROOT_WRK_DIR_NOT_EXISTE: (rootPath) => `${unable_create_component} car ${chalk_1.default.bold.underline("le répertoire de travail racine")} "${rootPath}" n'existe pas dans votre projet ${path_1.default.resolve()}. \n ${provide_valid_stuff("un répertoire racine")}`,
    SUBDOMAIN_PATH_NOT_EXISTE: (subName, rootPath) => `${unable_create_component} car ${chalk_1.default.bold.underline("le sous-répertoire ")} "${subName}" n'existe pas dans "${rootPath}". \n ${provide_valid_stuff("un nom de sous-domaine")}`,
    EXTENTION_WRK_DIR_NOT_EXISTE: (extPath, subPath) => `${unable_create_component} car ${chalk_1.default.bold.underline("l'extention")} "${extPath}" n'existe pas dans le sous-domaine "${subPath}". \n ${provide_valid_stuff("une extention valide")}`,
    // REPLACEMENT_FORMATAGE_NOT_EXIST : "",
    CONFIG_FILE_INVALID: (pty, types) => `${(0, config_1.cWarning)("Fichier de configuration invalide: ")} : Le fichier de configuration de votre template doit contenir la pté "${(0, config_1.cInfo)(pty)}" de type ${(0, config_1.cSuccess)(types)}`,
    COMPONENT_ALREADY_EXIST: (dirName, wrkPath) => `Impossible de créer le composant "${(0, config_1.cInfo)(dirName)}" car ${(0, config_1.cWarning)("un composant du même nom existe déjà à cet emplacement")} (${wrkPath})`,
    FILE_CREATION_UNEXPECTRED_ERR: (fileName, err) => `${(0, config_1.cWarning)("Une erreur inattendue s'est produite")} pendant la création du fichier ${(0, config_1.cWarning)(fileName)} : 
  \n${(err === null || err === void 0 ? void 0 : err.message) ? err.message : err} \n${contact_creator_unexpected_error}`,
    DIRECTORY_CREATION_UNEXPECTRED_ERR: (dirName, err) => `${(0, config_1.cWarning)("Une erreur inattendue s'est produite")} pendant la création du répertoire ${(0, config_1.cWarning)(dirName)} : 
  \n ${(err === null || err === void 0 ? void 0 : err.message) ? err.message : err} \n ${contact_creator_unexpected_error}`,
    CACHE_UNEXPECTED_NOREFRESH: (0, config_1.cErr)(`Un problème inattendu de mise en cache des templates est survenue ! \n ${contact_creator_unexpected_error}`),
    EXAMPLE_TEMPLATE_CREATION_UNEXPECTRED_ERR: (0, config_1.cInfo)("OOPS ! Impossible de générer le template d'exemple !"),
};
//# sourceMappingURL=ErroMsgs.js.map