#! /usr/bin/env node
"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const commander_1 = require("commander");
const Generate_1 = require("./commands/Generate");
const CommandEnum_1 = require("./_constantes/CommandEnum");
const Initialize_1 = require("./commands/Initialize");
const config_1 = require("./_constantes/config");
const run = () => __awaiter(void 0, void 0, void 0, function* () {
    const program = new commander_1.Command();
    program.version('2.1.0');
    program
        .command(CommandEnum_1.CommandEnum.init)
        .description(`Create configs files and 1 example modele if first init. Else, check templates validity and cache your current configuration`)
        .action(() => { Initialize_1.initializer.reload(true); });
    const generateCommands = [CommandEnum_1.CommandEnum.generate, CommandEnum_1.CommandEnum.generateShortcut];
    for (const cmd of generateCommands) {
        const description = cmd === CommandEnum_1.CommandEnum.generate ? "Create component" : `Shortcute for "${cmd}" command"`;
        program
            .command(cmd)
            .description(description)
            .argument('<templateName>', "Template to use for generate component")
            .argument('<replacementName>', "Replacement word : This replacement word replace the generic keyword in template")
            .option('-s, --subdomain <subdomain>', 'Allows to choose a subdomain in which the component will be created')
            .action(Generate_1.generate);
    }
    if (process.argv.length > 2)
        yield program.parseAsync(process.argv);
    else
        console.log("Bienvenue sur", config_1.cInfo.bold.underline("component-creator-CLI"));
});
run().then();
//# sourceMappingURL=app.js.map