"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.generate = void 0;
const TemplateReader_1 = require("../TemplateReader");
const TemplateExtractor_1 = require("../TemplateExtractor");
const FileHandler_1 = require("../FileHandler");
const TemplateRepository_1 = require("../TemplateRepository");
const InfoMsgs_1 = require("../_constantes/InfoMsgs");
const generate = (templateName, replaceValue, opts) => __awaiter(void 0, void 0, void 0, function* () {
    const TempMetaDataResult = yield TemplateRepository_1.TemplateRepo.getMetadata(templateName);
    if (TempMetaDataResult instanceof Error)
        return console.log(TempMetaDataResult.message);
    let templateReader = new TemplateReader_1.TemplateReader(templateName, TempMetaDataResult.path);
    const componentInfos = new TemplateExtractor_1.TemplateExtractor(templateReader, replaceValue, opts === null || opts === void 0 ? void 0 : opts.subdomain);
    const componentWrkPathResult = componentInfos.getComponentWrkDirPath(TempMetaDataResult.configFile.componentWorkDir);
    if (componentWrkPathResult instanceof Error)
        return console.log(componentWrkPathResult.message);
    const componentFilesResult = yield componentInfos.getComponentFiles();
    if (componentFilesResult instanceof Error)
        return console.log(componentFilesResult.message);
    const componentDirName = componentInfos.getComponentDirName();
    const componentCreation = yield (0, FileHandler_1.fileHandler)(componentWrkPathResult, componentDirName, componentFilesResult);
    if (componentCreation instanceof Error)
        return console.log(componentCreation.message);
    else
        console.log(componentCreation);
    console.log(InfoMsgs_1.InfoMsgs.SUCCESS_COMPONENT_CREATON);
});
exports.generate = generate;
//# sourceMappingURL=Generate.js.map